package dev.shadowsoffire.apotheosis.advancements;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.google.gson.JsonObject;
import dev.shadowsoffire.apotheosis.advancements.GemCutTrigger;
import net.minecraft.advancements.critereon.AbstractCriterionTriggerInstance;
import net.minecraft.advancements.critereon.ContextAwarePredicate;
import net.minecraft.advancements.critereon.ItemPredicate;
import net.minecraft.advancements.critereon.SerializationContext;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.world.item.ItemStack;

public class Instance extends AbstractCriterionTriggerInstance {
  private final ItemPredicate gem;
  
  private final ResourceLocation rarity;
  
  public Instance(ItemPredicate gem, ResourceLocation rarity) {
    super(GemCutTrigger.ID, ContextAwarePredicate.f_285567_);
    this.gem = gem;
    this.rarity = rarity;
  }
  
  public JsonObject m_7683_(SerializationContext serializer) {
    return new JsonObject();
  }
  
  public boolean test(ItemStack stack, ResourceLocation rarity) {
    return (this.gem.m_45049_(stack) && (this.rarity.m_135815_().isEmpty() || this.rarity.equals(rarity)));
  }
}
